System.ServiceModel 4.0.0.0 System.Object

This class is a collection of token properties and methods, and is used in creating security binding elements and tokens. Supporting tokens specify encryption and signing requirements.

Represents the parameters for supporting security tokens required by the security binding element.

- Constructor
  4.0.0.0

  The new instance property values are set to their defaults:

  is set to .

  is set to .

  is set to true.

  Initializes a new instance of the class.

- Method
  4.0.0.0
  System.ServiceModel.Security.Tokens.SupportingTokenParameters To be added.

  Clones another instance of this instance of the class.

  A .

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Security.Tokens.SecurityTokenParameters> To be added.

  Endorsing tokens sign the message signature.

  Gets a collection of security token parameters for endorsing supporting tokens required by the security binding element.

- Method
  4.0.0.0
  System.Void ``

  Each in or in has its property set to .

  Sets a value that indicates whether all endorsing or signed endorsing token parameters require derived keys.

  A that determines whether parameters require derived keys.
- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Security.Tokens.SecurityTokenParameters> To be added.

  Signed tokens are included in the message signature.

  Gets a collection of security token parameters for signed supporting tokens required by the security binding element.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Security.Tokens.SecurityTokenParameters> To be added.

  Signed tokens are included in the message signature and are encrypted.

  Gets a collection of security token parameters for signed and encrypted supporting tokens required by the security binding element.

- Property
  4.0.0.0
  System.Collections.ObjectModel.Collection<System.ServiceModel.Security.Tokens.SecurityTokenParameters> To be added.

  Signed endorsing tokens sign the message signature token and are themselves signed by the message signature.

  Gets a collection of security token parameters for signed and endorsing supporting tokens required by the security binding element.

- Method
  4.0.0.0
  System.String

  The output string displays the result of performing the ToString() method on each of the tokens in , , , and .

  Displays a text representation of this instance of the class.

  A text representation of this instance of this class.